# UuidParsing class

## Constructors

UuidParsing.new()

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

parse(String uuid, {List<int>? buffer, int offset = 0, bool validate = true, ValidationMode validationMode = ValidationMode.strictRFC9562, bool noDashes = false}) → List<int>
  Parses the provided `uuid` into a list of byte values as a List<int>. Can optionally be provided a `buffer` to write into and a positional `offset` for where to start inputting into the buffer.
parseAsByteList(String uuid, {List<int>? buffer, int offset = 0, bool validate = true, ValidationMode validationMode = ValidationMode.strictRFC9562, bool noDashes = false}) → Uint8List
  Parses the provided `uuid` into a list of byte values as a Uint8List. Can optionally be provided a `buffer` to write into and a positional `offset` for where to start inputting into the buffer. Throws FormatException if the UUID is invalid. Optionally you can set `validate` to false to disable validation of the UUID before parsing.
parseHexToBytes(String hex) → Uint8List
  Convert Hex String to Uint8List
unparse(List<int> buffer, {int offset = 0}) → String
  Unparses a `buffer` of bytes and outputs a proper UUID string. An optional `offset` is allowed if you want to start at a different point in the buffer.